//+------------------------------------------------------------------+
//|                                                          sZZ.mq4 |
//|                                       Copyright  2010, hasayama |
//|                                      mailto:mrhasayama@gmail.com |
//+------------------------------------------------------------------+
#property copyright "Copyright  2010, hasayama"
#property link      "mailto:mrhasayama@gmail.com"
#property show_inputs

extern int		sNumOfBars	= 1000;
extern string	Indicator	= "-------Indicator-Variables-------";
extern int		ExtDepth		= 12;
extern int		ExtLabel		= 0;

//+------------------------------------------------------------------+
//| script program start function                                    |
//+------------------------------------------------------------------+
int start()
  {
	if ( sNumOfBars > Bars || sNumOfBars <= 0 ) { sNumOfBars = Bars; }
	double zz_up = 0, zz_dn = 0;
	
	int fHandle = FileOpen( "sZZ_collection.txt", FILE_WRITE, " " );
	if ( fHandle < 0 ) { Alert( "Error! Cannot open file!" ); return(-1); }
	
	Print( " ..." );
	
	for ( int i = 0; i < sNumOfBars; i ++ )
	{
		zz_up = iCustom( Symbol(), Period(), "ZZ", ExtDepth, ExtLabel, 1, i );
		zz_dn = iCustom( Symbol(), Period(), "ZZ", ExtDepth, ExtLabel, 2, i );
		
		if ( zz_up > Point/2.0 ) { FileWrite( fHandle, "UP label ON BAR ", i, "\n" ); }
		if ( zz_dn > Point/2.0 ) { FileWrite( fHandle, "DN label ON BAR ", i, "\n" ); }
	}
	
	FileClose( fHandle );
	
	Print( " ..." );
	
   return(0);
  }
//+------------------------------------------------------------------+